<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Sabriel_Loader {

	private $modules = [];

	public function register_module( Sabriel_Module $module ) {
		$this->modules[ $module->get_id() ] = $module;
	}

	public function run() {
		foreach ( $this->modules as $module ) {
			$module->register_hooks();
		}
	}
}
